Name:		tcc
Version:	0.9.25
Release:	%mkrel 5
Summary:	Tiny C Compiler
License:	GPL
Group:		Development/C
URL:		http://bellard.org/tcc/
Source0:	http://download.savannah.nongnu.org/releases/tinycc/%{name}-%{version}.tar.bz2
# (tv) fix tccdir on x86_64:
Patch3:		tcc-0.9.25-tccdif.patch

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C 
compiler


%prep
%setup -q
%patch3 -p0

# (tv) use DESTDIR:
perl -pi -e 's!(\$\((bin|doc|include|lib|man|tcc)dir)!\$(DESTDIR)\1!' Makefile

# path fix
find -type f | xargs perl -pi -e "s|^#\!/usr/local/bin|#\!%{_bindir}|g"

# (tv) fix path on x86_64:
%ifarch x86_64
perl -pi -e 's!/usr/lib!/usr/lib64!' libtcc.c tcc.h
%endif

# fix attribs
chmod 644 examples/*

%build

%configure2_5x

make CFLAGS="%{optflags}"
#make test

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_mandir}/man1

%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_docdir}/tcc

%files
%doc Changelog README TODO *.html examples
%{_bindir}/tcc
%{_libdir}/tcc/include/*.h
%{_libdir}/tcc/*.a
%ifarch %{ix86}
%{_libdir}/tcc/*.o
%endif
%{_libdir}/*.a
%{_includedir}/*.h
%{_mandir}/man1/tcc.1*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9.25-5.mga3
+ Revision: 384141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.25-4.mga3
+ Revision: 324787
- rebuild for Mga3 Beta1

* Sat Jan 21 2012 kamil <kamil> 0.9.25-3.mga2
+ Revision: 199190
- adapt package for Mageia
- imported package tcc

